#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <stdio.h>
#include <errno.h>
#include <unistd.h>
#include <string.h>
#include <stdlib.h>
#include <sys/ioctl.h>
#include <math.h>
#include <sched.h>
#include <sys/mman.h>

#include "ir.h"
#define IR_DEV "/dev/ir"


main(argc,argv)
int argc;
char *argv[];
{
int irreadfd;
int irwritefd;
int verbose;
ssize_t rts;
long ircode;

 

 irreadfd = open(IR_DEV, O_RDONLY&O_NDELAY&O_NONBLOCK);
 if ( irreadfd == -1 ) {
    perror("Opening IR device for reading.");
    exit(1);
 }

if ( argc > 1 ) {
	IR_SETTYPE(irreadfd, IR_TYPE_CAPTURE);
	printf("raw mode entered\n");
}

for (;;) {

  rts = read(irreadfd, (char *) &ircode, 4);
  if (rts == -1 ) {
    perror("Reading from IR device.");
    close(irreadfd);
    exit(1);
  }

  if (rts == 0 ) {
    perror("Finished reading from IR device.");
    close(irreadfd);
    exit(0);
  }

  fprintf(stdout,"0x%08lX\n",ircode);
 }
close(irreadfd);
}

